import React, { Component } from "react";
import { ComponentMeta, ComponentStory, Meta} from "@storybook/react";
import { ReactComponent as SVGArrowBigRight } from "../assets/svg/arrow-big-right.svg" ;
import { ReactComponent as SVGArrowRight} from "../assets/svg/arrow-right.svg";
// import {ReactComponent as SVGArrowLeft} from "../assets/svg/arrow-left.svg";
import {ReactComponent as SVGArrowDown} from "../assets/svg/arrow-down.svg";
import {ReactComponent as SVGBookmark} from "../assets/svg/bookmark.svg";
import {ReactComponent as SVGCaretDown} from "../assets/svg/caret-down.svg"
import {ReactComponent as SVGCaretLeft} from "../assets/svg/caret-left.svg"
import {ReactComponent as SVGCaretRight} from "../assets/svg/caret-right.svg"
import {ReactComponent as SVGCaretUp} from "../assets/svg/caret-up.svg";
import {ReactComponent as SVGChevronesLeft} from "../assets/svg/chevrones-left.svg";
import {ReactComponent as SVGChevronesRight} from "../assets/svg/chevrones-right.svg";
import {ReactComponent as SVGCite} from "../assets/svg/cite.svg";
import {ReactComponent as SVGCopy} from "../assets/svg/copy.svg";
import {ReactComponent as SVGDelete} from "../assets/svg/delete.svg";
import {ReactComponent as SVGDownload} from "../assets/svg/download.svg";
import {ReactComponent as SVGEdit1} from "../assets/svg/edit1.svg";
import {ReactComponent as SVGEdit2} from "../assets/svg/edit2.svg";
import {ReactComponent as SVGError} from "../assets/svg/error.svg";
import {ReactComponent as SVGEye} from "../assets/svg/eye.svg";
import {ReactComponent as SVGFavorite} from "../assets/svg/favorite.svg";
import {ReactComponent as SVGFiletext} from "../assets/svg/filetext.svg";
import {ReactComponent as SVGFolder} from "../assets/svg/folder.svg";
import {ReactComponent as SVGKey} from "../assets/svg/key.svg";
import {ReactComponent as SVGList} from "../assets/svg/list.svg";
import {ReactComponent as SVGMinus} from "../assets/svg/minus.svg";
import {ReactComponent as SVGMore} from "../assets/svg/more.svg";
import {ReactComponent as SVGPlus} from "../assets/svg/plus.svg";
import {ReactComponent as SVGPrinter} from "../assets/svg/printer.svg";
import {ReactComponent as SVGSearch} from "../assets/svg/search.svg";
import {ReactComponent as SVGShare} from "../assets/svg/share.svg";
import {ReactComponent as SVGUser} from "../assets/svg/user.svg";
import {ReactComponent as SVGXMark} from "../assets/svg/xmark.svg";


export default {
    title: "Icons",
} 


const ArrowBigRightStory: ComponentStory<typeof SVGArrowBigRight> = (args) => <SVGArrowBigRight  {...args}/>;
const ArrowRightStory: ComponentStory<typeof SVGArrowRight> = (args) => <SVGArrowRight  {...args}/>;
//const SVGArrowLeftStory : ComponentStory<typeof SVGArrowLeft> = (args) => <SVGArrowLeft {... args}  />
const SVGArrowDownStory : ComponentStory<typeof SVGArrowDown> = (args) => <SVGArrowDown {... args} />
const SVGBookmarkStory : ComponentStory<typeof SVGBookmark> = (args) => <SVGBookmark {... args} />
const SVGCaretDownStory : ComponentStory<typeof SVGCaretDown> = (args) => <SVGCaretDown {... args} />
const SVGCaretLeftStory : ComponentStory<typeof SVGCaretLeft> = (args) => <SVGCaretLeft {... args} />
const SVGCaretRightStory : ComponentStory<typeof SVGCaretRight> = (args) => <SVGCaretRight {... args} />
const SVGCaretUpStory : ComponentStory<typeof SVGCaretUp> = (args) => <SVGCaretUp {... args} />
const SVGChevronesLeftStory : ComponentStory<typeof SVGChevronesLeft> = (args) => <SVGChevronesLeft {... args} />
const SVGChevronesRightStory : ComponentStory<typeof SVGChevronesRight> = (args) => <SVGChevronesRight {... args} />
const SVGCiteStory : ComponentStory<typeof SVGCite> = (args) => <SVGCite {... args} />
const SVGCopyStory : ComponentStory<typeof SVGCopy> = (args) => <SVGCopy {... args} />
const SVGDeleteStory : ComponentStory<typeof SVGDelete> = (args) => <SVGDelete {... args} />
const SVGDownloadStory : ComponentStory<typeof SVGDownload> = (args) => <SVGDownload {... args} />
const SVGEdit1Story : ComponentStory<typeof SVGEdit1> = (args) => <SVGEdit1 {... args} />
const SVGEdit2Story : ComponentStory<typeof SVGEdit2> = (args) => <SVGEdit2 {... args} />
const SVGErrorStory : ComponentStory<typeof SVGError> = (args) => <SVGError {... args} />
const SVGEyeStory : ComponentStory<typeof SVGEye> = (args) => <SVGEye {... args} />
const SVGFavoriteStory : ComponentStory<typeof SVGFavorite> = (args) => <SVGFavorite {... args} />
const SVGFiletextStory : ComponentStory<typeof SVGFiletext> = (args) => <SVGFiletext {... args} />
const SVGFolderStory : ComponentStory<typeof SVGFolder> = (args) => <SVGFolder {... args} />
const SVGKeyStory : ComponentStory<typeof SVGKey> = (args) => <SVGKey {... args} />
const SVGListStory : ComponentStory<typeof SVGList> = (args) => <SVGList {... args} />
const SVGMinusStory : ComponentStory<typeof SVGMinus> = (args) => <SVGMinus {... args} />
const SVGMoreStory : ComponentStory<typeof SVGMore> = (args) => <SVGMore {... args} />
const SVGPlusStory : ComponentStory<typeof SVGPlus> = (args) => <SVGPlus {... args} />
const SVGPrinterStory : ComponentStory<typeof SVGPrinter> = (args) => <SVGPrinter {... args} />
const SVGSearchStory : ComponentStory<typeof SVGSearch> = (args) => <SVGSearch {... args} />
const SVGShareStory : ComponentStory<typeof SVGShare> = (args) => <SVGShare {... args} />
const SVGUserStory : ComponentStory<typeof SVGUser> = (args) => <SVGUser {... args} />
const SVGXMarkStory : ComponentStory<typeof SVGXMark> = (args) => <SVGXMark {... args} />

export const ArrowBigRight= ArrowBigRightStory.bind({});
export const ArrowRight = ArrowRightStory.bind({});
//export const ArrowLeft = SVGArrowLeftStory.bind({});  
export const ArrowDown = SVGArrowDownStory.bind({});  
export const Bookmark = SVGBookmarkStory.bind({});  
export const CaretDown = SVGCaretDownStory.bind({});  
export const CaretLeft = SVGCaretLeftStory.bind({});  
export const CaretRight = SVGCaretRightStory.bind({});  
export const CaretUp = SVGCaretUpStory.bind({});  
export const ChevronesLeft = SVGChevronesLeftStory.bind({});  
export const ChevronesRight = SVGChevronesRightStory.bind({});  
export const Cite = SVGCiteStory.bind({});  
export const Copy = SVGCopyStory.bind({});  
export const Delete = SVGDeleteStory.bind({});  
export const Download = SVGDownloadStory.bind({});  
export const Edit1 = SVGEdit1Story.bind({});  
export const Edit2 = SVGEdit2Story.bind({});  
export const Error = SVGErrorStory.bind({});  
export const Eye = SVGEyeStory.bind({});  
export const Favorite = SVGFavoriteStory.bind({});  
export const Filetext = SVGFiletextStory.bind({});  
export const Folder = SVGFolderStory.bind({});  
export const Key = SVGKeyStory.bind({});  
export const List = SVGListStory.bind({});  
export const Minus = SVGMinusStory.bind({});  
export const More = SVGMoreStory.bind({});  
export const Plus = SVGPlusStory.bind({});  
export const Printer = SVGPrinterStory.bind({});  
export const Search = SVGSearchStory.bind({});  
export const Share = SVGShareStory.bind({});  
export const User = SVGUserStory.bind({});  
export const XMark = SVGXMarkStory.bind({});  


ArrowBigRight.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};

ArrowRight.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};

// ArrowLeft.args = {
//     fill: 'blue',
//     stroke: 'blue',
//     width: 25,
// };
ArrowDown.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Bookmark.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
CaretDown.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
CaretLeft.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
CaretRight.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
CaretUp.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
ChevronesLeft.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
ChevronesRight.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Cite.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Copy.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Delete.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Download.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Edit1.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Edit2.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Error.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Eye.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Favorite.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Filetext.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Folder.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Key.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
List.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Minus.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
More.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Plus.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Printer.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Search.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
Share.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
User.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
};
XMark.args = {
    fill: 'blue',
    stroke: 'blue',
    width: 25,
}
